Bug 10609 - Use branch name rather than branch code in serials-collection.pl
Summary: Use branch name rather than branch code in serials-collection.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.12
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 8215
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 06:51 UTC by David Cook
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10609 - Use branch name rather than branch code in serials-collection.pl (2.54 KB, patch)
2013-07-19 16:44 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10609 - Use branch name rather than branch code in serials-collection.pl (2.56 KB, patch)
2013-07-27 18:31 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[PASSED QA] Bug 10609 - Use branch name rather than branch code in serials-collection.pl (2.69 KB, patch)
2013-07-31 21:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10609: Use branch name rather than branch code in serials-collection.pl (3.12.x) (4.38 KB, patch)
2013-08-28 14:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 10609: Use branch name rather than branch code in serials-collection.pl (3.12.x) (4.43 KB, patch)
2013-09-29 05:48 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 10609: Use branch name rather than branch code in serials-collection.pl (3.12.x) (4.58 KB, patch)
2013-10-06 21:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2013-07-18 06:51:36 UTC
Currently, the branch code is being used in the DataTables of serials-collection.pl. 

Bug 10429 fixed this in claims.pl, so I'm sure a similar method could be used to correct that here as well.
Comment 1 Owen Leonard 2013-07-19 16:44:53 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2013-07-27 18:31:29 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-07-31 21:11:14 UTC Comment hidden (obsolete)
Comment 4 Galen Charlton 2013-08-01 15:13:48 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-08-28 14:36:41 UTC
If this fix is needed in 3.12.x a new patch is needed.
Comment 6 Tomás Cohen Arazi 2013-08-28 14:51:47 UTC Comment hidden (obsolete)
Comment 7 I'm just a bot 2013-09-29 05:41:03 UTC
Applying: Bug 10609: Use branch name rather than branch code in serials-collection.pl (3.12.x)
Using index info to reconstruct a base tree...
M	C4/Serials.pm
M	koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/serials/serials-collection.tt
Auto-merging C4/Serials.pm
Patch failed at 0001 Bug 10609: Use branch name rather than branch code in serials-collection.pl (3.12.x)
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 8 Chris Cormack 2013-09-29 05:48:35 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2013-10-06 21:40:52 UTC
Created attachment 21837 [details] [review]
[PASSED QA] Bug 10609: Use branch name rather than branch code in serials-collection.pl (3.12.x)

This is the 3.12.x compatible version of the patch for 10609.

Regards
To+

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Serial collection page now displays the branch description
instead of the branchcode.
Comment 10 Tomás Cohen Arazi 2013-10-07 18:03:10 UTC
This patch has been pushed to 3.12.x, will be in 3.12.6.
Comment 11 Bernardo Gonzalez Kriegel 2013-10-13 22:50:08 UTC
Pushed to 3.10.x, will be in 3.10.12